import { TCommonsAiTrainingStats } from '../types/tcommons-ai-training-stats';
import { TCommonsAiOutputWithCertainty } from '../types/tcommons-ai-output-with-certainty';
import { TCommonsAiQuality } from '../types/tcommons-ai-quality';
export interface ICommonsAiModel<I, O> {
    build(): Promise<void>;
    train(): Promise<TCommonsAiTrainingStats>;
    test(): Promise<TCommonsAiQuality>;
    predict(value: I): Promise<TCommonsAiOutputWithCertainty<O>>;
}
